Allow pages to set own fonts Break Pages when un-checked



I tried this with a squeaky clean profile before reporting, Checking the option alow pages to choose their own  in 'prefs - content - advanced' breaks pages as an example u can try swagbucks.com home page and scroll down right and find From The blog and The twitter  tabs.

I was wondring why pages were broke, off, and  of place flash  were missing, and finally found out this was a problem. This happens no matter what font is used nor what size is set.

Screenshots Before Checked and After Checked (on the profile I mainly use):
Checked: 
Un-checked: 





Go into Preferences - Content - Advanced
Un-Check Allow pages to choose their own fonts instead of the the ones above
Refresh or reload url page

Things on sites get mis-placed incl. flash  Fonts on page don't look right and are all out of whack on differing 


Well when changing it off and on it can make a script stop responding. :) not an severe issue but just to throw it out there.
